> ## Documentation Index
> Fetch the complete documentation index at: https://developers.learn.ink/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete user

> Permanently deletes a user from LearnInk. This removes their account, learning progress,
certificates, and all associated profile data.




## OpenAPI

````yaml /openapi.yaml delete /api/v1/users/{orgId}/{id}
openapi: 3.0.3
info:
  title: LearnInk API
  version: 1.0.0
  description: >
    LearnInk public API for identifying users (SSO token issuance) and user
    deletion.
servers:
  - url: https://my.learn.ink
security:
  - bearerAuth: []
tags:
  - name: Users
    description: User identification and lifecycle.
paths:
  /api/v1/users/{orgId}/{id}:
    delete:
      tags:
        - Users
      summary: Delete user
      description: >
        Permanently deletes a user from LearnInk. This removes their account,
        learning progress,

        certificates, and all associated profile data.
      operationId: deleteUser
      parameters:
        - name: orgId
          in: path
          required: true
          schema:
            type: string
          description: Your LearnInk organisation ID.
        - name: id
          in: path
          required: true
          schema:
            type: string
          description: The unique user identifier from your system.
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DeleteUserResponse'
              example:
                id: your_unique_user_id
                deleted: true
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                code: 403
                message: Forbidden
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                code: 404
                message: User not found
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                code: 500
                message: Internal server error
      security:
        - bearerAuth: []
components:
  schemas:
    DeleteUserResponse:
      type: object
      required:
        - id
        - deleted
      properties:
        id:
          type: string
        deleted:
          type: boolean
      additionalProperties: false
    ErrorResponse:
      type: object
      required:
        - code
        - message
      properties:
        code:
          type: integer
        message:
          type: string
      additionalProperties: false
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API key

````